Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.beans
Class VetoableChangeListenerProxy

    java.lang.Object
      |
      +--java.util.EventListenerProxy
            |
            +--java.beans.VetoableChangeListenerProxy

All Implemented Interfaces:
  EventListener, VetoableChangeListener

public class VetoableChangeListenerProxy
extends EventListenerProxy
implements VetoableChangeListener

A class which extends the `EventListenerProxy` specifically for associating a `VetoableChangeListener` with a "constrained" property. Instances of this class can be added as a `VetoableChangeListener` to a bean which supports firing VetoableChange events.

If the object has a `getVetoableChangeListeners()` method then the array returned could be a mixture of `VetoableChangeListener` and `VetoableChangeListenerProxy` objects.

Since:
  1.4
See Also:
  `EventListenerProxy`, `VetoableChangeListener`, `VetoableChangeSupport.getVetoableChangeListeners()`

Constructor Summary
`VetoableChangeListenerProxy(String propertyName, VetoableChangeListener listener)`

Method Summary
`String` | `getPropertyName()` Returns the name of the named property associated with the listener.
`void` | `vetoableChange(PropertyChangeEvent evt)` Forwards the property change event to the listener delegate.

Methods inherited from class java.util.EventListenerProxy
`getListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VetoableChangeListenerProxy

    public VetoableChangeListenerProxy(String propertyName,
                                       VetoableChangeListener listener)

Parameters:
  `propertyName` - The name of the property to listen on.
  `listener` - The listener object

Method Detail

### vetoableChange

    public void vetoableChange(PropertyChangeEvent evt)
                        throws PropertyVetoException

  Forwards the property change event to the listener delegate.

  Specified by:
    `vetoableChange` in interface `VetoableChangeListener`
  Parameters:
    `evt` - the property change event
  Throws:
    `PropertyVetoException` - if the recipient wishes the property change to be rolled back.

### getPropertyName

    public String getPropertyName()

  Returns the name of the named property associated with the listener.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.